Bug 569905 (CVE-2010-0408) - CVE-2010-0408 httpd: mod_proxy_ajp remote temporary DoS
Summary: CVE-2010-0408 httpd: mod_proxy_ajp remote temporary DoS
Keywords:
Status: NEW
Alias: CVE-2010-0408
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 570440 570441 570442 572404
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-02 16:45 UTC by Tomas Hoger
Modified: 2019-09-29 12:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-02 16:49:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0168 normal SHIPPED_LIVE Moderate: httpd security and enhancement update 2010-03-25 09:11:54 UTC
Red Hat Product Errata RHSA-2010:0396 normal SHIPPED_LIVE Moderate: httpd and httpd22 security and enhancement update 2010-05-05 12:54:58 UTC

Description Tomas Hoger 2010-03-02 16:45:25 UTC
Quoting httpd 2.2 security page:
  http://httpd.apache.org/security/vulnerabilities_22.html#2.2.15

  moderate: mod_proxy_ajp DoS CVE-2010-0408

  mod_proxy_ajp would return the wrong status code if it encountered an
  error causing a backend server to be put into an error state until the
  retry timeout expired. A remote attacker could send malicious requests
  to trigger this issue, resulting in a denial of service.

  Affects: 2.2.0 - 2.2.14

Upstream commit:
  http://svn.apache.org/viewvc?view=revision&revision=917876

Comment 2 roneads 2010-03-22 15:42:20 UTC
Please elevate this report to a status of URGENT for a solution.

Comment 3 Tomas Hoger 2010-03-23 07:48:07 UTC
This issue was rated as having moderate security impact [1].  Security impact determines priority of the bug report.  If you believe our impact rating is incorrect, please explain the reasons.

The issue is being fixed in the upcoming updates already being worked on.

[1] http://www.redhat.com/security/updates/classification/

Comment 4 errata-xmlrpc 2010-03-25 09:11:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0168 https://rhn.redhat.com/errata/RHSA-2010-0168.html

Comment 5 Fedora Update System 2010-04-05 18:48:15 UTC
httpd-2.2.15-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/httpd-2.2.15-1.fc12

Comment 6 Fedora Update System 2010-04-05 18:48:17 UTC
httpd-2.2.15-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/httpd-2.2.15-1.fc13

Comment 7 Fedora Update System 2010-04-05 18:48:22 UTC
httpd-2.2.15-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/httpd-2.2.15-1.fc11

Comment 8 Fedora Update System 2010-04-05 18:49:06 UTC
httpd-2.2.15-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/httpd-2.2.15-1.fc13

Comment 9 Fedora Update System 2010-04-05 18:49:17 UTC
httpd-2.2.15-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/httpd-2.2.15-1.fc12

Comment 10 Fedora Update System 2010-04-07 01:33:56 UTC
httpd-2.2.15-1.fc12.1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/httpd-2.2.15-1.fc12.1

Comment 11 Fedora Update System 2010-04-07 01:36:24 UTC
httpd-2.2.15-1.fc11.1 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/httpd-2.2.15-1.fc11.1

Comment 12 Fedora Update System 2010-04-22 22:51:11 UTC
httpd-2.2.15-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-05-04 06:06:24 UTC
httpd-2.2.15-1.fc11.1 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2010-05-05 12:55:01 UTC
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 4
  JBEWS 1.0 for RHEL 5

Via RHSA-2010:0396 https://rhn.redhat.com/errata/RHSA-2010-0396.html

Comment 15 Fedora Update System 2010-05-31 18:25:08 UTC
httpd-2.2.15-1.fc12.2 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.